# SourcePath: procps/20061204dev
Summary: The /proc file system utilities.
Name: sony-target-dev-procps
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-procps
Version: 3.2.7
Release: 08020504
License: GPL2 / LGPL2
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
URL		: http://procps.sourceforge.net
Source		: procps-%{version}.tar.gz
# LOT scripts
Source10: sony-procps-libopt-build-procps
Patch1		: procps-3.2.7-delete-cppflags.patch
Patch2		: procps-3.2.7-init-linux-version.patch
Patch3		: procps-3.2.7-Makefile.patch
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}
BuildRequires: %{sony_tool_triplet}-%{sony_target_dialect}-dev-ncurses
%define _docdir	%{sony_target_dir}%{sony_target_dev_doc_dir}

%description
These are utilities to browse the /proc filesystem, which is not a real file
system but a way for the kernel to provide information about the status of
entries in its process table. (e.g. running, stopped or "zombie")
Both command line and full screen utilities are provided. Ncurses is needed
for the full screen utilities.

%package -n %{pkgname}
Summary: The /proc file system utilities.
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
These are utilities to browse the /proc filesystem, which is not a real file
system but a way for the kernel to provide information about the status of
entries in its process table. (e.g. running, stopped or "zombie")
Both command line and full screen utilities are provided. Ncurses is needed
for the full screen utilities.

%prep
%setup -n procps-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%sony_target_dev_setup

%if %{sony_host_arch} == "x86_64"
make lib64=lib CC=$CC AR=$AR INCDIRS= CFLAGS="-O2 -s -ffunction-sections" | tee -a build.log
%else
make CC=$CC AR=$AR INCDIRS= CFLAGS="-O2 -s -ffunction-sections" | tee -a build.log
%endif

%install
rm -rf %{buildroot}
%sony_target_dev_setup

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/man1
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/man5
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}/man/man8
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/sbin
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/lib
export DESTDIR=%{buildroot}%{sony_target_dir}%{sony_target_dev_dir}
export INSTALLBIN="install --mode a=rx"

%if %{sony_host_arch} == "x86_64"
make lib64=lib OWNERGROUP='' DESTDIR=$DESTDIR INSTALLBIN="$INSTALLBIN" ldconfig=echo install
%else
make OWNERGROUP='' DESTDIR=$DESTDIR INSTALLBIN="$INSTALLBIN" ldconfig=echo install
%endif

mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}
install -m 644 sysctl.conf \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_sysconf_dir}/

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_data_dir}
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_dir}/bin/kill

# Begin for LOT

mkdir -p %{buildroot}%{sony_target_dir}/lib
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/procps

# Set Library Optimizer variables
%define _optdir %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo
%define _libdir %{buildroot}%{sony_target_dir}/lib

# Install Library Optimizer information (procps)
install -m 755 %{SOURCE10} %{_optdir}/procps/build
install -m 644 proc/*.o proc/library.map %{_optdir}/procps/
(cd %{_optdir}/procps; umask 022; %{sony_cross_bin_dir}/%{sony_tool_triplet}-libindex %{_libdir}/libproc-3.2.7.so -o *.o > index)
(umask 022; echo "/lib/libproc-3.2.7.so" > %{_optdir}/procps/path)
#END OF LOT

%clean
rm -rf %{buildroot}


%files -n %{pkgname}
%defattr(-,root,root,-)
##%{sony_target_dir}
%{sony_target_dir}%{sony_target_dev_dir}/bin/ps
#%{sony_target_dir}%{sony_target_dev_dir}/bin/kill
%{sony_target_dir}%{sony_target_dev_dir}/lib/libproc-3.2.7.so
%{sony_target_dir}%{sony_target_dev_dir}/sbin/sysctl
%{sony_target_dir}%{sony_target_dev_bin_dir}/free
%{sony_target_dir}%{sony_target_dev_bin_dir}/pgrep
%{sony_target_dir}%{sony_target_dev_bin_dir}/pkill
%{sony_target_dir}%{sony_target_dev_bin_dir}/pmap
%{sony_target_dir}%{sony_target_dev_bin_dir}/skill
%{sony_target_dir}%{sony_target_dev_bin_dir}/snice
%{sony_target_dir}%{sony_target_dev_bin_dir}/tload
%{sony_target_dir}%{sony_target_dev_bin_dir}/top
%{sony_target_dir}%{sony_target_dev_bin_dir}/uptime
%{sony_target_dir}%{sony_target_dev_bin_dir}/vmstat
%{sony_target_dir}%{sony_target_dev_bin_dir}/w
%{sony_target_dir}%{sony_target_dev_bin_dir}/watch
%{sony_target_dir}%{sony_target_dev_bin_dir}/pwdx
%{sony_target_dir}%{sony_target_dev_bin_dir}/slabtop
%{sony_target_dir}%{sony_target_rel_sysconf_dir}/sysctl.conf

# for LOT
%{sony_target_dir}%{sony_target_devtool_lib_dir}/optinfo/*

%changelog
* Fri Oct 26 2018 Sony Corporation
- To validate dependent packages.

* Thu Sep 19 2007 Sony Corporation - dev-procps
- Change install options in Makefile for install command in coreutils-5.97

* Thu Jun 07 2007 Sony Corporation - dev-procps
- Fix running order of the constructor in libproc.so

* Mon Dec 04 2006 Sony Corporation - dev-procps
- Version up to 3.2.7

* Tue May 24 2005 Sony Corporation - dev-procps
- move /etc/sysctl.conf to /devel/etc/sysctl.conf and add symbolic link

* Tue Feb 01 2005 Sony Corporation - dev-procps
- delete init.d script

* Fri Nov 19 2004 Sony Corporation - dev-procps
- delete online manual

* Fri Aug 20 2004 Sony Corporation - dev-procps
- Initial build. conformed to new rule(2004-08-25)

